<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Add some comments about XML file
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr_FR" xml:id="conmin_obj">
  <info>
    <pubdate>$LastChangedDate: 04-03-2010 $</pubdate>
  </info>
  <refnamediv>
    <refname>conmin_obj</refname>
    <refpurpose>conmin solver external function that computes the objective for CUTEr. </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[f,g] = conmin_obj(x)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>
            A vector, the current value of the unknown
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>f</term>
        <listitem>
          <para>
            A scalar, the current value of the objective function
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>g</term>
        <listitem>
          <para>
            A vector, the current value of the gradient function
          </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      This function computes the objective and its gradient at the point
      <literal>x</literal> for the current CUTEr problem according to
      the <literal>conmin</literal> requirements.
    </para>
    <para>
      It includes a cpu time limitation to cancel the resolution if
      the cpu time exceeds 3600s.
    </para>
  
  </refsection>

  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="sifconmin" >sifconmin</link>
	<link linkend="cfn">cfn</link>
	<link linkend="cofg">cofg</link>
	<link linkend="cgr">cgr</link>
      </member>
      <member><literal>conmin</literal></member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>

  <refsection>
     <title>Used Functions</title>
       <para>
	<link linkend="cofg">cofg</link>
       </para>
     </refsection>
</refentry>
